Package wx :: Package lib :: Package floatcanvas :: Package Utilities :: Module BBoxTest :: Class testInfBBox

[frames | no frames]

## Type testInfBBox

    object --+
             |
      TestCase --+
                 |
                testInfBBox

Method Summary
| `testEquals(self)`
| `testMerge(self)`
| `testMerge2(self)`
| `testNotEquals(self)`
| `testNotEquals2(self)`
| `testOverlaps(self)`
| `testOverlaps2(self)`
| `testOverlaps3(self)`
| `testOverlaps4(self)`
| `testOverlaps5(self)`
| `testValues(self)`

Class Variable Summary
`BBox` | `B1` = `BBox([[ -inf, -inf], ...`
`BBox` | `B2` = `BBox([[ -inf, -inf], ...`
`BBox` | `B3` = `BBox([[ 1., 2.], [ 5., 10.]])`
`BBox` | `NB` = `BBox([[ nan, ...`

Class Variable Details

### B1

  Type:
    `BBox`
  Value:

        BBox([[             -inf,              -inf],
               [              inf,               inf]])

### B2

  Type:
    `BBox`
  Value:

        BBox([[             -inf,              -inf],
               [              inf,               inf]])

### B3

  Type:
    `BBox`
  Value:

        BBox([[  1.,   2.],
               [  5.,  10.]])

### NB

  Type:
    `BBox`
  Value:

        BBox([[                           nan,                            nan]\
        ,
               [                           nan,                            nan\
        ]])

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:33 2009 | http://epydoc.sf.net